Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.security
Class CMSPermission

    java.lang.Object
      java.security.Permission
          org.jboss.portal.security.PortalPermission
              org.jboss.portal.cms.security.CMSPermission

All Implemented Interfaces:
  java.io.Serializable, java.security.Guard

    public class CMSPermission

extends PortalPermission

Created on : Jan 23, 2007

Author:
  Sohil Shah - sohil.shah@jboss.com
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.portal.security.PortalPermission
`collection, uri`

Constructor Summary
`CMSPermission(PortalCMSSecurityContext securityContext)`
`CMSPermission(java.lang.String name, java.lang.String uri)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getActions()`
`PortalCMSSecurityContext` | `getSecurityContext()`
`java.lang.String` | `getType()` Return the portal permission type.
`int` | `hashCode()`
`boolean` | `implies(java.security.Permission permission)`
`boolean` | `implies(PermissionRepository repository, javax.security.auth.Subject caller, java.lang.String roleName, PortalPermission permission)` Implement the imply logic when we check the permission against a domain.

Methods inherited from class org.jboss.portal.security.PortalPermission
`getURI, isContainer, newPermissionCollection`

Methods inherited from class java.security.Permission
`checkGuard, getName, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CMSPermission

    public CMSPermission(java.lang.String name,
                         java.lang.String uri)

### CMSPermission

    public CMSPermission(PortalCMSSecurityContext securityContext)

Parameters:
  `wrappedPermission` -

Method Detail

### getType

    public java.lang.String getType()

  Description copied from class: `PortalPermission`
  Return the portal permission type.

  Specified by:
    `getType` in class `PortalPermission`
  Returns:
    the portal permission type

### implies

    public boolean implies(PermissionRepository repository,
                           javax.security.auth.Subject caller,
                           java.lang.String roleName,
                           PortalPermission permission)
                    throws PortalSecurityException

  Description copied from class: `PortalPermission`
  Implement the imply logic when we check the permission against a domain.

  Specified by:
    `implies` in class `PortalPermission`
  Returns:
    true if the permission is implied
  Throws:
    `PortalSecurityException`

### getSecurityContext

    public PortalCMSSecurityContext getSecurityContext()

  Returns:

### equals

    public boolean equals(java.lang.Object obj)

  Specified by:
    `equals` in class `java.security.Permission`

### getActions

    public java.lang.String getActions()

  Specified by:
    `getActions` in class `java.security.Permission`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `java.security.Permission`

### implies

    public boolean implies(java.security.Permission permission)

  Specified by:
    `implies` in class `java.security.Permission`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD